path: /build/build/boolean-py-dev-python-4.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/boolean-py -pv -t
  - |
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/boolean-py
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/boolean-py && luet-portage
    --dir /pkgdir/boolean-py dev-python/boolean-py
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:0bd62a7c0109837b1cf3056c8f70179b8172fda4349206668c08372ce68551bb
  package:
    name: boolean-py
    version: "4.0"
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race1
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Define boolean algebras, create and parse boolean expressions and
      create custom boolean DSL.
    uri:
    - https://github.com/bastikr/boolean.py
    - https://pypi.org/project/boolean.py/
    buildtimestamp: 2024-11-28 23:28:42.422735746 +0000 UTC m=+53.039016537
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/boolean-py
      kit: python-modules-kit
      original.package.name: dev-python/boolean-py
      original.package.slot: "0"
      original.package.version: "4.0"
    treedir: /build/packages
  package_dir: /pkgdir/boolean-py
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 97b3b79d6160641184fa35f11bb5476f1552c8221ce83274be1ddb57771be95b
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/boolean/__init__.py
- usr/lib/python3.9/site-packages/boolean/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/boolean/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/boolean/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/boolean/__pycache__/boolean.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/boolean/__pycache__/boolean.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/boolean/__pycache__/boolean.cpython-39.pyc
- usr/lib/python3.9/site-packages/boolean/__pycache__/test_boolean.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/boolean/__pycache__/test_boolean.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/boolean/__pycache__/test_boolean.cpython-39.pyc
- usr/lib/python3.9/site-packages/boolean/boolean.py
- usr/lib/python3.9/site-packages/boolean/test_boolean.py
- usr/lib/python3.9/site-packages/boolean.py-4.0-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/boolean.py-4.0-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/boolean.py-4.0-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/boolean.py-4.0-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/boolean.py-4.0-py3.9.egg-info/top_level.txt
- usr/share/doc/boolean-py-4.0/README.rst.bz2
- var/db/pkg/dev-python/boolean-py-4.0/BDEPEND
- var/db/pkg/dev-python/boolean-py-4.0/BUILD_TIME
- var/db/pkg/dev-python/boolean-py-4.0/CATEGORY
- var/db/pkg/dev-python/boolean-py-4.0/CBUILD
- var/db/pkg/dev-python/boolean-py-4.0/CFLAGS
- var/db/pkg/dev-python/boolean-py-4.0/CHOST
- var/db/pkg/dev-python/boolean-py-4.0/CONTENTS
- var/db/pkg/dev-python/boolean-py-4.0/COUNTER
- var/db/pkg/dev-python/boolean-py-4.0/CTARGET
- var/db/pkg/dev-python/boolean-py-4.0/CXX
- var/db/pkg/dev-python/boolean-py-4.0/CXXFLAGS
- var/db/pkg/dev-python/boolean-py-4.0/DEFINED_PHASES
- var/db/pkg/dev-python/boolean-py-4.0/DESCRIPTION
- var/db/pkg/dev-python/boolean-py-4.0/EAPI
- var/db/pkg/dev-python/boolean-py-4.0/FEATURES
- var/db/pkg/dev-python/boolean-py-4.0/HOMEPAGE
- var/db/pkg/dev-python/boolean-py-4.0/INHERITED
- var/db/pkg/dev-python/boolean-py-4.0/IUSE
- var/db/pkg/dev-python/boolean-py-4.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/boolean-py-4.0/KEYWORDS
- var/db/pkg/dev-python/boolean-py-4.0/LDFLAGS
- var/db/pkg/dev-python/boolean-py-4.0/LICENSE
- var/db/pkg/dev-python/boolean-py-4.0/PF
- var/db/pkg/dev-python/boolean-py-4.0/RDEPEND
- var/db/pkg/dev-python/boolean-py-4.0/SIZE
- var/db/pkg/dev-python/boolean-py-4.0/SLOT
- var/db/pkg/dev-python/boolean-py-4.0/USE
- var/db/pkg/dev-python/boolean-py-4.0/boolean-py-4.0.ebuild
- var/db/pkg/dev-python/boolean-py-4.0/environment.bz2
- var/db/pkg/dev-python/boolean-py-4.0/repository
package_cacheimage: ""
runtime:
  name: boolean-py
  version: "4.0"
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Define boolean algebras, create and parse boolean expressions and create
    custom boolean DSL.
  uri:
  - https://github.com/bastikr/boolean.py
  - https://pypi.org/project/boolean.py/
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/boolean-py
    kit: python-modules-kit
    original.package.name: dev-python/boolean-py
    original.package.slot: "0"
    original.package.version: "4.0"
